- # Assignment
    - ## Overview
        - This week we are going to begin reading the passages that we selected in [[Week 3 Reading Assignment]]. The goal is to do an [[analytical reading]] of each of the passages, and generate [[Propositions]] that we can use to answer our [[Questions]].
        - [[analytical reading]] can be especially time consuming, so it's OK if reading through the passages winds up taking more than this week. We'll check in next week on progress and help people address any issues or road blocks as they arise.
        - The focus this week is on your [[analytical reading]], so the questions below are more general compared to previous weeks.
    - ## Steps
        - You will complete the following steps:
            1. add the [[Week 4 Reading Assignment]] template
            2. fill in the template for each of your "top-level" [[Questions]] (with supporting questions, terms, and passages underneath, see a working example [here](((O98rvr-It))))
                - (optional: add question to Hivemind with `[[Q/]]` prefix and questions template on page. Search for and add related terms, questions, and propositions.)
                - add sub-questions 
                    - (optional: see if these or similar questions are already in the Hivemind. If they are, consider using those instead of creating new pages. If they are not, consider adding new pages with `[[Q/]]` prefix).
                    - once you add your questions, consider ordering them into categories
                        - example:
                            - sub-questions:
                                - On [[T/successful career]]s
                                    - [[Q/What makes for a successful career?]]
                                    - [[Q/What are the key traits to cultivate for building a compelling career?]]
                                - Early careers
                                    - [[Q/What should someone just starting out in their career focus on?]]
                                        - {{[[TODO]]}} ISSUE: are these all compatible with each other?
                                        - {{[[TODO]]}} Question: What is the difference here between "sampling" a domain and "training" in one?
                                            - maybe the generation of rare and valuable skills, or the ability of the skills acquired to be applied to other domains?
                                        - {{[[TODO]]}} ISSUE: what might cal think about the purpose / goals of sampling?
                                            - would cal say you sort of pick a field almost randomly, so long as you can build rare and valuable skills in it?
                                                - this is essentially what derek sivers says in https://sive.rs/balance
                                                    - > **About the job: **Be smart, and choose [something that pays well with a solid future](https://sive.rs/images/jobwages.jpg). Look for statistics in your area about what pays the best when factoring in the required training. You’ll probably need to study for a few years to build up the rare skills that are well-rewarded. **This is a head choice, not a heart choice,** since you’re not trying to make your job your entire life.
                                            - i would think that personal preference could play a role, so long as you don't focus on passion yet
                                        - {{[[TODO]]}} [[Q/How do you GET to the edge of the adjacent possible?]]
                                        - [[So Good They Can't Ignore You]]:
                                            - [[P/Anyone early in their career who wants a successful career should focus on building rare and valuable skills]]
                                                - how?
                                                    - [[P/anyone who wants a knowledge-career they love should first learn how to find the deep structure of a domain]]
                                                    - [[P/anyone who will have to find the deep structure underlying one domain and apply it to a novel domain should get broad training]]
                                                        - really??
                                        - [[Range]]:
                                            - [[P/Anyone early in their career who wants a successful career should sample widely]]
                                                - why?
                                                    - [[P/anyone who wants a knowledge-career they love should get broad training]]
                                                        - why should they do that?
                                                            - [[P/anyone who wants a knowledge-career they love will have to function well in a wicked world]]
                                                            - [[P/anyone who will have to function well in a wicked world will have to solve novel problems]]
                                                            - [[P/anyone who will have to solve novel problems will have to find the deep structure underlying one domain and apply it to a novel domain]]
                                                            - [[P/anyone who will have to find the deep structure underlying one domain and apply it to a novel domain should get broad training]]
                                            - [[P/Anyone early in their career what wants a successful career should focus on skills that can be applied across domains]]
                                                - why should they do that?
                                                    - [[P/anyone who wants a knowledge-career they love will have to function well in a wicked world]]
                                                    - [[P/anyone who will have to function well in a wicked world will have to solve novel problems]]
                                                    - [[P/anyone who will have to solve novel problems will have to find the deep structure underlying one domain and apply it to a novel domain]]
                                                    - [[P/anyone who will have to find the deep structure underlying one domain and apply it to a novel domain should get broad training]]
                                        - Synthesis
                                            - [[P/Liberal arts students who want a knowledge-career they love should use their four years to sample different domains and build rare and valuable skills across disciplines]]
                                                - Why should they do that?
                                                    - [[P/anyone who wants a knowledge-career they love will have to function well in a wicked world]]
                                                        - why?
                                                    - [[P/anyone who will have to function well in a wicked world will have to solve novel problems]]
                                                    - [[P/anyone who will have to solve novel problems will have to find the deep structure underlying one domain and apply it to a novel domain]]
                                                        - how to find the deep structure underlying one domain?
                                                            - [[P/Anyone who wants to find the deep structure underlying one domain should learn a field well enough to get to the adjacent possible]]
                                                                - how?
                                                                    - [[P/Anyone early in their career who wants a successful career should focus on building rare and valuable skills]]
                                                                    - [[P/anyone who should get valuable skills should engage in deliberate practice]]
                                                        - how to apply that training to a novel domain?
                                                            - [[P/anyone who will have to find the deep structure underlying one domain and apply it to a novel domain should get broad training]]
                                - advantages and challenges of a general engineering degree and [[T/liberal arts education]]
                                    - [[Q/Range, by itself, is meaningless. It's the ability to combine skills that allows for this to be useful. How do we know what skills to combine? And how to combine them?]]
                                    - [[Q/What are some of the advantages of a liberal arts education?]]
                                    - [[Q/What are some challenges students with a general engineering degree might face in a market designed for specialists?]]
                                    - [[Q/How can the advantages of a liberal arts education be communicated?]]
                                - how to help students
                                    - [[Q/How can you use your own career/experiences to make others' more successful?]]
                                    - [[Q/How can one teach lateral thinking?]]
                - add terms for each question
                    - (optional: add terms to Hivemind by creating pages with `[[T/]]` and terms template on page. Search for and add related terms, questions, and propositions.)
                - add passages for each question
                    - feel free to link to the chapter pages (see [[Range]] and [[So Good They Can't Ignore You]])
                    - (optional: apply the `passage notes` `[[roam/templates]]` with `;;` to populate personal response to reading, summary, and propositions under each passage)
            3. read for each question, passage by passage
                - while you read, take notes either using the `passage notes` template or in another form that works for you, keeping track of potential things that might be used to answer your question and/or generate propositions
                - read as many passages as you can, but don't worry about being "finished." We'll work on reviewing passages for several weeks.
            4. (if you're ready) write a synthesis of the passages to answer your question
            5. Answer the reflection questions before the [[Week 4 Live Session]]. They should be at the bottom of the Week 4 Live Session template you applied in the first step.
    - ## Reflection Questions
        - What progress have you been able to make through your chosen passages?
        - What have you learned from your reading so far?
        - Would you like to revise your questions, terms, or passages based on what you've read so far?
- # Sharing your questions, terms, and propositions
    - Just like with [[Questions]] and [[Terms]], you can share your [[Propositions]] using the `[[P/]]` name space. Here's more information:
        - Optionally, if you'd like to share your terms and questions with others, you can do the following:
            - create a page for your term or question starting with `[[T/]]` for terms or `[[Q/]]` for questions.
                - (If you find viewing the `T/` or `Q/` distracting, you can turn name spaces off in your personal settings by clicking the ..., then settings and clicking the last option in the `cycle namespace view`)
            - enter your created page and apply the term or question template by searching typing `;;` and searching for `term` or `question` and filling it in
                - (if someone else has already created the term or question page, you do not need to apply the template again, but can add additional information as appropriate)
            - example:
                - [[T/career capital]]
- # Resources
    - [[🐝 Hivemind]]
    - [[Week 3 Live Session]]
    - [[How To Read A Book]]
        - [[analytical reading]]
        - [[syntopical reading]]
