- # How To Contribute
    - Please send any resources you'd like to contribute to one of the roam graph #admins and/or share in the [[👥 Chatroom]]. Please do not edit this page directly.
- # Roam Basics
    - ## Introduction from [[Kate Foy]]
        - Your patch of Roam or patches if you have more than one is called a **graph**. That's the first thing that many newcomers need to know. We refer to it as a personal graph or a group graph. Another term you get familiar with is **multiplayer** - when more than one user occupies and contributes to a group graph. This is the RBC model.
        - When you are on any page in a graph, if you tap the return key, a new line with a bullet-point appears. Bullet points are **blocks** in Roam-speak. You indent blocks with the tab key. These and subsequent indents are **child-blocks** of their parent above.
        - In a group graph, you will have a **personal page** which enables your contributions to be logged and referenced. One of the first tasks a new RBC member is asked to do is create a personal page. A template is always provided and includes as much or as little as a member wants to enter - location, twitter handle if you hang out there (and many do) as well as a little bit of biographical information. 
        - Basically, you'll need the Roam skills to create a personal page via the **template** provided (accessed using `;;`); you'll learn how to use **block references** and how to call up both **sidebars** and be able to search for what you want in the rest of the graph. That's pretty much it. Once you have these skills you will be up and running and feeling confident.
        - Whilst you can do what you like in your own personal graph, once you come to working in multiplayer mode - that is when you able to interact with other users' pages - there are skills and, especially basic group conventions that are good to know to enable effective communication amongst the members of RBC. These conventions have been established over five iterations of RBC (see [[🧰 Graph Conventions]]).
    - See also:
        - Basics
        - [100 ROAM TIPS: Beginner to Advanced in 25 Mins | Roam Research Course on YouTube](https://youtu.be/4yXK9OMc2OU)
        - [Shu Omi's How to Use Roam Research: A Complete Guide on YouTube](https://www.youtube.com/playlist?list=PLralmZwl_8jJuJMIebWFqm6K5I20a5Qve)
- # Roam Workflows
    - See [[zettelkasten]], [[argument map]], [[inspectional reading]], [[analytical reading]], [[syntopical reading]]
- # RBC Member Stories and Specific Workflows
    - There's [[No One Way To Use Roam]]. Here are user stories and workflows from RBC members.
        - If you'd like us to add yours please contact one of the Roam graph #admins .
    - ## [[No One Way To Use Roam]]
        - ## [[Kate Foy]]
            - ### My Year and a bit in Roam - For RBC6-Syntopical "No One Way ..."
                - I began using Roam in July 2020. During the first half of the year I had been attracted to Notion and was learning how to use it to collate and provide a hub for my many interests including writing, reading, and journalling as well as research. I was greatly indebted to August Bradley a Notion guru in learning online how to use this aesthetically pleasing but, for me at least, a not particularly intuitive digital tool.
                - I don't recall where I first learned about Roam, but learn about I did and decided to try it out. I took a free trial before transferring to True Believer status some months later. By the end of October I wrote "I'm finding my first port of call these days is Roam. Good old Notion requires so much in and out and back and forth of various aspects of the platform, whereas Roam enables a one-stop entry point at Daily Notes." 
                    - For a calendar junkie from way back, this made so much sense. Planning, writing, reflecting and journalling can all happen and be routed off to their respective places in the database. The aesthetics of Notion notwithstanding, by the end of the year I was finding Roam far better for my use. Working out the various wrinkles - queries, js code etc. - was all part of the learning - as I got more confident. 
                        - I took two courses: Effortless Output in Roam and Magical Notetaking which assisted the learning, as did the Roam Book Club where fellow Roamans provide clues using the model of the book club to create notes (Zettelkasting) which seemed to be the big deal. This new approach gave me such a great way to refresh my articles, lecture notes, and the dissertation project: revive, refresh, publish. 
                            - By then I was convinced of its usefulness to me and dazzled by the way its apparent surface simplicity belied an incredibly complex and intriguing under-story - with bi-directional links and block and page referencing opening up and connecting my magpie collection of notes, articles, my PhD dissertation, recipes, books to read, videos to watch, lecture notes, travel diary - get the idea? 
                - In time I learned that Roam as a concept was like the Commonplace Books of old; a place to put everything from recipes to evening reflections (recommended by of all people, Seneca the Roman playwright and stoic). Could it do this for me? Well, yes it did. 
                - I'm going to share how I use Roam and I hope, along the way, reassure you that there is no one way to do so.  Having said this, there are tips and recommendations that will get you feeling comfortable sooner rather than later. I've culled this article from my notes made in my personal graph since July 2020 and from subsequent graphs as a member of RBCs 1-5 - the projects in which I learned how to dive deeper into Roam.
                - Perhaps the best move I could have made was to take the initial plunge and join RBC1 where I not only learned more about Where Good Ideas Come From: the Natural History of Innovation by Steven Johnson, the first cab off the RBC rank, but also how incredibly powerful Roam could be in note-taking and assembling ideas. I continued learning this over and over across subsequent RBCs 2-5 and in my personal graph. 
                    - In time and in the last RBC iteration How to Read a Book led by Mike Kramer, I became aware and appreciative of the beauty of Roam's architecture as a tool for thought, and not just for taking notes. This "tool for thought," which is Roam's own subtitle, makes its value apparent again and again as you work in the graph.
                - ### Me and RBC
                    - I actually joined RBC1 because I figured it brought together my love of reading and this shiny new tool that I was learning slowly but doggedly. Apart from a couple of courses, I also scrounged lots of YouTube "how to" videos from early adopters. They were all useful at the time although time and Roam have moved on; some of the features have been redacted, others added while other third-party helper apps - extensions - have been created to make Roam even more attractive as a repository bank for creation. I'm going to focus on how Roam operates in the RBC domain because I assume that's what you'd like to know more about.
                    - Your patch of Roam or patches if you have more than one is called a **graph**. That's the first thing that many newcomers need to know. We refer to it as a personal graph or a group graph. Another term you get familiar with is **multiplayer** - when more than one user occupies and contributes to a group graph. This is the RBC model.
                    - When you are on any page in a graph, if you tap the return key, a new line with a bullet-point appears. Bullet points are **blocks** in Roam-speak. You indent blocks with the tab key. These and subsequent indents are **child-blocks** of their parent above.
                    - In a group graph, you will have a **personal page** which enables your contributions to be logged and referenced. One of the first tasks a new RBC member is asked to do is create a personal page. A template is always provided and includes as much or as little as a member wants to enter - location, twitter handle if you hang out there (and many do) as well as a little bit of biographical information. 
                - ### How I Use Roam
                    - If you search YouTube you will find dozens of "How I use Roam" type instructional videos. You can get lost in the weeds as a beginner and each of the videos will probably come at the "how to" by giving a case scenario e.g., note-taking or pkm (personal knowledge management) journalling, or other content creation from dissertations to newsletters or blog posts. They're all great in their own way and you shouldn't lose sight of the fact that all this variation simply underscores the brilliant flexibility of Roam. However, as an RBC-er, needs are slightly different. For a start, most of these "How I Use Roam" videos focus on the creation of the personal graph, and not on multiplayer mode.
                    - The one piece of advice I'd give newcomers to Roam is to get to love your DNP - shorthand for Daily Note Page, the default page which opens each day when you log in.
                        - Some find that empty page daunting - the existential horror of the writer faced with a blank page that Ernest Hemingway talked about; there are no guideposts to tell you what you should write down or how. It's at this point that many revert back to the tried and true or very familiar layout of most note-taking apps: they begin creating individual pages and sprinkle the graph with tags. I know because I did. 
                        - You really do not have to; you can, but once you appreciate how Roam works, you see how unnecessary it really is. All roads lead to Roam's DNP if you are firm in this approach. The important thing is that you just write; don't try to get it right, just write it. This was advice my dissertation committee gave me years ago and I've never forgotten it. Then you link through the blocks and it all starts to make sense. If you don't already know how to do this, you will soon. It's the game-changing "aha" moment for many users.
                            - For example, I am currently Iogging a personal fitness journey over 12 months.
                                - I created a project page using a template.  I then log each workout or fitness session on my DNP and this gets sent via a smart-block to the project page Inbox where it is referenced. The breadcrumb trail shows when I did the session and any other details which I log on the DNP as child blocks. 
                                    - If the terms in the block above made your eyes roll - smart-blocks, templates, and child-blocks, don't panic. You will get this and their usefulness in time if you are not already familiar with the terms. For now, as you begin in RBC or in your own personal graph, they don't matter.
                                        - I guess the point I'm making here is that there is no one way to use Roam. It's yours to create with as you will. 
                                            - Establish your own conventions; the best way to learn how Roam works is to work in it. It's hard to break; I'm not sure you can but just know that all of us are constantly refining our ways of using it to suit our needs and our changing needs at that. 
                                                - You can work in vanilla Roam perfectly well and I'd strongly advise that you do. Establish the basics, understand how the graph works, and expand your usage in time. Start vanilla Roam and add the flavours and choc chips as you go.
                - ### What are the basic conventions in RBC multiplayer mode?
                    - See also good advice in [Introducing RoamLab: a Framework for Building Community Labs](https://www.kylestratis.com/post/introducing-roamlab-a-framework-for-building-community-labs). 
                        - Roam is notorious for its learning curve, but once the community understands a few concepts, the work begins to organize itself, and users can experiment with more advanced features:
                            - **Backlinking** and its importance
                            - **Block references** and **embeds**
                            - **Page embeds**
                            - **Querying** and **indentation**
                        - The mechanics of these features aren't the only important things to teach: teaching __when__ to employ each of these features is even more critical. Additionally, agreeing on some structures and outcomes is necessary so that all members speak a common language. To that end, meta-frameworks will come with their own guidebooks with suggestions for conventions and light onboarding.
                    - Whilst you can do what you like in your own personal graph, once you come to working in multiplayer mode - that is when you able to interact with other users' pages - there are skills and, especially basic group conventions that are good to know to enable effective communication amongst the members of RBC. These conventions have been established over five iterations of RBC.
                    - Basically, you'll need the Roam skills to create a personal page via the **template** provided; you'll learn how to use **block references** and how to call up both **sidebars** and be able to search for what you want in the rest of the graph. That's pretty much it. Once you have these skills you will be up and running and feeling confident.
                    - As for conventions, we ask that members refrain from creating tags or pages other than the conventional ones in the graph - this is to avoid graph cruft and confusion from things like duplicate pages (singular and plural versions or upper lower case) We also don't change another user's entry; we refer to it wherever we write - personal page or elsewhere - by using the block reference; this is basic RBC graph etiquette. 
                    - One of my favourite things about RBC5 was the Chat Room - a page where members could post up an idea or refer to something from the week's findings and have a conversation with others. You'll learn how to do this as well. 
- # External Roam resources (books, courses, etc.)
    - ## Websites
        - [RoamBrain.com](https://roambrain.com/)
        - [Roam Research Reddit](https://www.reddit.com/r/RoamResearch/)
    - ## Articles
        - ### Collections
            - [All Ness Labs articles on Roam](https://nesslabs.com/tag/roam)
            - [All Cortex Futura articles on Roam](https://www.cortexfutura.com/c/roam-research/)
        - ### Basics
            - [A beginner's guide to Roam Research: getting started in 5 easy steps](https://nesslabs.com/roam-research-beginner-guide)
            - [How to use Roam Research: a tool for metacognition - Ness Labs](https://nesslabs.com/roam-research)
            - [Primer on Roam Research: Build Your Roam Graph from Scratch | appsntips](https://www.appsntips.com/primer-roam-research-build-roam-graph/)
        - ### Advanced
            - [The Complete Guide to Effective Note-Taking by Maarten van Doorn](https://roambrain.com/the-complete-guide-to-effective-note-taking/)
                - Go deep into the nuances of structured notetaking to build an impressive Zettelkasten style index of interlinked ideas. - Impressive 💥
        - ### Templates
            - [How to Create and Use Templates in Roam Research | appsntips](https://www.appsntips.com/learn/create-use-templates-roam-research/)
        - ### CSS
            - [Roam themes: how to style Roam Research with custom CSS - Ness Labs](https://nesslabs.com/roam-research-themes-custom-styling-css)
            - [Painting Roam Research with Custom CSS](https://maggieappleton.com/paintingroam)
            - [Make Your Roam Theme Your Own With These CSS Snippets](https://www.maggiedelano.com/2020/09/05/roamcsssnippets.html)
    - ## Podcasts
        - [RoamFM: Conversations with roamcult](https://thatsthenorm.com/tag/roamfm/)
            - Exploring Knowledge Management, mostly with Roam users.
    - ## Courses
        - ### Free
            - [The Roaman Way - R.J.Nestor](https://courses.rjnestor.com/p/the-roaman-way)
                - For the very beginner. Dips into some of the core features of Roam such as Pages, Blocks, References, Right Sidebar, etc. Nine videos in all.
            - [Effective Note-Taking with Roam Research - Andy Henson (Email Course)](https://roam.elaptics.co.uk/learn)
                - From the author's website > "My **FREE** guided email course, **__Effective Note-Taking With Roam Research__**, will take you from novice to master. You'll learn the basics of using Roam in bite-sized lessons before moving to more advanced topics and tips to show you how to build your own workflows to get the most from Roam."
            - [Roam in Context - Cortex Futura](https://learn.cortexfutura.com/p/roam-in-context)
                - The very basics of Roam's main features, all taught within the context of 7 different use cases.
                    1. Note-taking
                    2. Writing
                    3. Research & Academia
                    4. Task Management
                    5. Project Management
                    6. Journaling
                    7. Decision Making
            - [Experience previous Roam Book Clubs with Beau Haan! YouTube](https://www.youtube.com/c/BeauHaan/playlists)
                - Focuses on the book, [How to Take Smart Notes by Sönke Ahrens](https://takesmartnotes.com/), and how to build a Zettelkasten in Roam.
        - ### Paid
            - [Roam Untangled – A course on Roam Research — Jamoe](https://www.jamoe.org/roam)
            - [Roaman Journaling for Self-Awareness & Growth Course](https://rebootspodcast.podia.com/roaman-journaling-course)
                - A course just as much about journaling and personal growth as it is about Roam.
    - ## Videos
        - [R.J. Nestor's channel on YouTube ](https://www.youtube.com/c/RJNestorCoach/videos)
            - Covers a lot of content and use cases, including Journaling, CRM, how to install and use Smart Blocks, and more. For man levels.
        - [100 ROAM TIPS: Beginner to Advanced in 25 Mins | Roam Research Course on YouTube](https://youtu.be/4yXK9OMc2OU)
            - The title says it all.
        - [Shu Omi's How to Use Roam Research: A Complete Guide on YouTube](https://www.youtube.com/playlist?list=PLralmZwl_8jJuJMIebWFqm6K5I20a5Qve)
            - How to videos covering a variety of use cases, from Smart Notes, Time Management, Useful Commands, and more.
        - [Rob Haisfield's Roam Tours](https://www.youtube.com/watch?v=FM00jDuuF7s&list=PLAguQH5EvMCqz_-r48Bmcg7EkOi8Iwz_x)
        - [Roam Sessions](https://www.youtube.com/c/JasonGriffing/videos)
    - ## Extensions and Plugins
        - [Roam JS](https://roamjs.com/) by David Vargas > [@dvargas92495](https://twitter.com/dvargas92495)
        - [Roam Portal](https://chrome.google.com/webstore/detail/roam-portal/kgkmjbhbdakcdfkkgmmihcceekcdmefe?hl=en) by Dharam Kapila > [@DharamKapila](https://twitter.com/DharamKapila)
        - [Roam Toolkit](https://github.com/roam-unofficial/roam-toolkit) by Vlad Sitalo > [@VladyslavSitalo](https://twitter.com/VladyslavSitalo)
        - [zeteroRoam](https://alix-lahuec.gitbook.io/zotero-roam/) by Alix Lahuec > [@AlixLahuec](https://twitter.com/AlixLahuec)
    - ## Roam Community Active on Twitter 
        - ### The Mother Ship
            - Roam Research > [@RoamResearch](https://twitter.com/RoamResearch)
            - Conor White-Sullivan > [@Conaw](https://twitter.com/Conaw)
                - Co-founder of @RoamResearch. Believer in tools for thought
            - Matt McKinlay > [@RaygunIcecream](https://twitter.com/RaygunIcecream)
            - Bardia > [@thepericulum](https://twitter.com/thepericulum)
            - 
        - ### Frequent posts about Roam and Note Taking
            - Beau Haan > [@beauhaan](https://twitter.com/beauhaan)
            - Andy Henson > [@elaptics](https://twitter.com/elaptics)
            - Ramses - Professional Roamer > [@rroudt](https://twitter.com/rroudt)
            - Tracy Winchell > [@tracyplaces](https://twitter.com/tracyplaces)
            - Lisa-Marie Cabrelli (aka Laptop Life Lisa) > [@LaptopLifeLisa](https://twitter.com/LaptopLifeLisa)
            - Cortex Futura > [@cortexfutura](https://twitter.com/cortexfutura)
            - Kahlil Corazo (aka Roamfu) > [@Roamfu](https://twitter.com/Roamfu)
            - RoamFM > [@RoamFm](https://twitter.com/RoamFm)
                - Norm > [@NormanChella](https://twitter.com/NormanChella)
            - Calhistorian > [@calhistorian](https://twitter.com/calhistorian)
            - Stian Håklev > [@houshuang](https://twitter.com/houshuang)
            - Adam Křivka > [@adam_krivka](https://twitter.com/adam_krivka)
            - Viktor Tabori - [@ViktorTabori](https://twitter.com/ViktorTabori)
            - RoamStack - - [@RoamStack](https://twitter.com/RoamStack)
            - RoamBrain - [@RoamBrain](https://twitter.com/RoamBrain)
            - Shu Omi - [@shuomi3](https://twitter.com/shuomi3)
    - ## Public databases to explore
        - [Hyperfine Village](https://roamresearch.com/#/app/hyperfinelabs/page/TYt89wtA7)
        - [RoamTricks](https://roamresearch.com/#/app/roam-tricks/page/lGjoMZH9C)
        - [Best of Cato](https://roamresearch.com/#/app/CatoMinor-public/page/FhtBdGjOL)
        - [Ramses](https://roamresearch.com/#/app/rroudt-public/page/g21sKz0Pg)
- # Personal Knowledge Management
    - [[How To Read A Book]]
        - [[argument map]]
    - [[How To Take Smart Notes]]
        - [[zettelkasten]]
    - Visual approaches to steps of reading
        - ![](https://firebasestorage.googleapis.com/v0/b/firescript-577a2.appspot.com/o/imgs%2Fapp%2FRBC6-Syntopical%2FaWGZkwWzpf.png?alt=media&token=d4b9386c-0c92-4404-a1ef-27e3bb33e182)
            - [source](https://discord.com/channels/@me/820000921936592950/881156982793469952)
        - ![](https://firebasestorage.googleapis.com/v0/b/firescript-577a2.appspot.com/o/imgs%2Fapp%2FRBC6-Syntopical%2FiVCrXkar-e.png?alt=media&token=d907b5cd-c3e8-4d73-9922-1427102039b5)
            - from [Mark Robertson](https://twitter.com/calhistorian)
    - Pyramid Method by Barbara Minto ([video](https://www.youtube.com/watch?v=pHfKn5x3eTU), [book](http://www.barbaraminto.com/textbook.html))
    - Argument Mapping by Joseph Laronge ([video](https://www.youtube.com/watch?v=a8gTvBDajhU), [slideshow](https://ecolloq.files.wordpress.com/2014/05/ecolloq-dcit-final_for-display.pdf))
    - [The World's Most Creative People Have This In Common](https://www.fastcompany.com/90676271/the-worlds-most-creative-people-have-this-one-thing-in-common?utm_source=EVERYONE%20%28Excludes%20non-engagers%29%20STAY%20SEGMENT&utm_medium=email&utm_campaign=Scrapbook%20267-%20SATURDAY%20SEND%20%28R4ZJEn%29&_kx=RiA3VBB8LfYFfCT_-NzLjD2rSKFQnK_4lr5Gw0QyWXc%3D.NQ6i9b)
    - [Forte Labs](https://fortelabs.co/)
    - [Linking Your Thinking](https://www.linkingyourthinking.com/)
    - [Zettelkasten.de](https://zettelkasten.de/)
- # Careers
    - [Business Model You Cheatsheet](https://www.evernote.com/shard/s2/client/snv?noteGuid=01a8c47b-5407-4de1-9083-653b2d6ffcbf&noteKey=4d9fb27e198209fd96fdfcf0f35bdd19&sn=https%3A%2F%2Fwww.evernote.com%2Fshard%2Fs2%2Fsh%2F01a8c47b-5407-4de1-9083-653b2d6ffcbf%2F4d9fb27e198209fd96fdfcf0f35bdd19&title=Business%2BModel%2BYou%252C%2BCheatsheet)
        - a 1-page method to map your life onto the rigor of a business model
        - derived from the [Business Model Canvas](https://vimeo.com/78350794) used by many startups for customer discovery
